%define upstream_name    Crypt-Rijndael
%define upstream_version 1.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Crypt::CBC compliant Rijndael encryption module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
This module implements the Rijndael cipher, which has just been selected as the
Advanced Encryption Standard.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc COPYING Changes LICENSE META.json META.yml MYMETA.yml NEWS README
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3*/*


%changelog
* Wed Nov 29 2023 tv <tv> 1.160.0-5.mga10
+ Revision: 2011436
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.160.0-4.mga9
+ Revision: 1861678
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.160.0-3.mga9
+ Revision: 1795615
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.160.0-2.mga9
+ Revision: 1726487
- Rebuild for perl 5.34

* Sun Apr 04 2021 tv <tv> 1.160.0-1.mga9
+ Revision: 1713143
- update to 1.16

* Sun Oct 11 2020 tv <tv> 1.150.0-1.mga8
+ Revision: 1633151
- update to 1.15

* Wed Jun 17 2020 umeabot <umeabot> 1.140.0-4.mga8
+ Revision: 1594382
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.140.0-3.mga8
+ Revision: 1529102
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.140.0-2.mga8
+ Revision: 1433080
- rebuild with perl-5.30

* Sat Jun 29 2019 shlomif <shlomif> 1.140.0-1.mga8
+ Revision: 1415446
- update to 1.14

* Fri Sep 21 2018 umeabot <umeabot> 1.130.0-9.mga7
+ Revision: 1292596
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.130.0-8.mga7
+ Revision: 1248613
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.130.0-7.mga7
+ Revision: 1163700
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.130.0-6.mga7
+ Revision: 1149600
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.130.0-5.mga7
+ Revision: 1126610
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.130.0-4.mga6
+ Revision: 1024627
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.130.0-3.mga6
+ Revision: 956998
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.130.0-2.mga6
+ Revision: 844759
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.130.0-1.mga6
+ Revision: 840725
- New version 1.13 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 742640
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.120.0-4.mga5
+ Revision: 733002
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-3.mga5
+ Revision: 684064
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.120.0-2.mga5
+ Revision: 630963
- Rebuild for perl 5.20

* Sun Feb 09 2014 sander85 <sander85> 1.120.0-1.mga5
+ Revision: 587344
- update to 1.12

* Sat Oct 19 2013 umeabot <umeabot> 1.110.0-5.mga4
+ Revision: 524289
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.110.0-4.mga4
+ Revision: 430612
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.110.0-3.mga4
+ Revision: 430013
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 364967
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.110.0-1.mga3
+ Revision: 285221
- update to 1.11

* Thu Jul 12 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 270263
- update to 1.10

* Wed May 30 2012 jquelin <jquelin> 1.90.0-5.mga3
+ Revision: 250416
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.90.0-4.mga2
+ Revision: 103858
- perl 5.14

* Tue Jan 25 2011 jquelin <jquelin> 1.90.0-3.mga1
+ Revision: 38568
- remove erroneous %
- no parallel make
- mageia rebuild
- fix cflags invocation
- mageia rebuild
- imported package perl-Crypt-Rijndael

